package request

import (
	"topsdk/ability571/domain"
	"topsdk/util"
)

type AlibabaWdkMarketingItemdiscountQueryitemsRequest struct {
	/*
	   查询入参     */
	Param *domain.AlibabaWdkMarketingItemdiscountQueryitemsActivitySkuQuery `json:"param" required:"true" `
}

func (s *AlibabaWdkMarketingItemdiscountQueryitemsRequest) SetParam(v domain.AlibabaWdkMarketingItemdiscountQueryitemsActivitySkuQuery) *AlibabaWdkMarketingItemdiscountQueryitemsRequest {
	s.Param = &v
	return s
}

func (req *AlibabaWdkMarketingItemdiscountQueryitemsRequest) ToMap() map[string]interface{} {
	paramMap := make(map[string]interface{})
	if req.Param != nil {
		paramMap["param"] = util.ConvertStruct(*req.Param)
	}
	return paramMap
}

func (req *AlibabaWdkMarketingItemdiscountQueryitemsRequest) ToFileMap() map[string]interface{} {
	fileMap := make(map[string]interface{})
	return fileMap
}
